FROM rg.fr-par.scw.cloud/tools/wildfly:27.0.0.Final

# APPLICATION SETTINGS
ENV APP_VERSION=0.3.0
ENV APP_NAME=http-validator
ENV ARTIFACT_NAME=http-validator-service
ENV APP_URL_PATH=/
ENV APP_ARTIFACT_TYPE=war
ENV NEXUS_PATH=net/ihe/gazelle
ENV APP_ARTIFACT_PATH=${NEXUS_PATH}/${ARTIFACT_NAME}/${APP_VERSION}/${ARTIFACT_NAME}-${APP_VERSION}.${APP_ARTIFACT_TYPE}
ENV URL_NEXUS=https://gazelle.ihe.net/nexus/service/local/repositories/releases/content

USER root

# Add run.sh
COPY run.sh /run.sh
RUN chmod +x /run.sh
RUN mkdir -p /opt/http-validator
RUN chown jboss -R /opt/http-validator
RUN chmod 775 -R /opt/http-validator

USER jboss

# Download application artifact
#RUN wget -nv -O ${JBOSS_HOME}/standalone/deployments/${ARTIFACT_NAME}.${APP_ARTIFACT_TYPE} ${URL_NEXUS}/${APP_ARTIFACT_PATH}
#COPY  ./${APP_NAME}.${APP_ARTIFACT_TYPE} ${JBOSS_HOME}/standalone/deployments/${APP_NAME}.${APP_ARTIFACT_TYPE}
COPY target/${APP_NAME}.${APP_ARTIFACT_TYPE} /usr/local/jboss/wildfly/standalone/deployments/

# Set entrypoint run.sh
ENTRYPOINT ["/run.sh"]